# TODO: junit QA tests

Name:           plexus-graph
Version:        0.13.1
Release:        12%{?dist}
Summary:        Graph data structures manipulation library

License:        CPL
URL:            http://plexus.sourceforge.net/
Source0:        http://download.sourceforge.net/plexus/plexus-src-%{version}.tgz

Requires:       log4j apache-commons-collections java-headless
BuildRequires:  %{requires} ant

BuildArch:      noarch

%description
Plexus is a Java library with specifications and implementations for
generic graph data structures. Like the Java Collections Framework,
vertices and edges are containers for arbitrary user-defined objects.


%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n plexus-%{version}


%build
CLASSPATH=$(build-classpath commons-collections log4j) ant dist javadoc


%install
# Directory structure
install -d %{buildroot}%{_javadir}
install -d %{buildroot}%{_javadocdir}/%{name}

# JARs and JavaDoc
install -m 644 build/dist/plexus-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
cp -rp doc/javadoc/. %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/*
%doc CHANGELOG LICENSE README


%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 21 2014 Michael Simacek <msimacek@redhat.com> - 0.13.1-11
- Remove version from JAR name
- Require java-headless

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.13.1-10
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 6 2010 Alexander Kurtakov <akurtako@redhat.com> 0.13.1-4
- Drop gcj support.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 19 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@fedoraproject.org> - 0.13.1-1
- Initial packaging
